com.sap.cloud.account

## Class TenantAlreadySetException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sap.cloud.account.TenantAlreadySetException

- All Implemented Interfaces:
    Serializable

      public class TenantAlreadySetException
      extends RuntimeException

  TenantAlreadySetException is a runtime exception which is thrown when another tenant is already assigned to the current thread.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TenantAlreadySetException(String message)` Constructs a new tenant already set exception with the specified detail message.
    `TenantAlreadySetException(String message, Exception nestedException)` Constructs a new tenant already set exception with the specified detail message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TenantAlreadySetException

          public TenantAlreadySetException(String message,
                                   Exception nestedException)

      Constructs a new tenant already set exception with the specified detail message and cause.
      Parameters:
        `message` - the detail message which is saved for later retrieval by the `Throwable.getMessage()` method
        `nestedException` - the cause of the exception which is saved for later retrieval by the `Throwable.getCause()` method

    - #### TenantAlreadySetException

          public TenantAlreadySetException(String message)

      Constructs a new tenant already set exception with the specified detail message.
      Parameters:
        `message` - the detail message which is saved for later retrieval by the `Throwable.getMessage()` method.

Copyright © 2018 SAP. All Rights Reserved.